<!-- Page Heading -->
<div class="orders-top-bar common-top-bar">
    <div class="row mar-20">
        <div class="col-lg-8 col-sm-6 col-xs-6">
            <div class="ah-body-topbar">
                <div class="ah-page-title">
                    <h2> Studies </h2>
                </div>
            </div>
            <!-- <h1><a ui-sref="dashboard.orders"> Studies </a></h1> -->
        </div>
        <div class="col-lg-4 col-sm-6 col-xs-6 mt20" ng-if="user_group!='doctor'&&user_group!='provider'">
            <a ng-click="createOrder()" class="an-btn an-btn-primary pull-right"><i class="fa fa-plus"></i> Add Study</a>
        </div>
    </div>
</div>


<!-- search box -->
<div class="row clearfix orders-top-bar-filter">
    <div class="col-md-1">
        <h6>Modality</h6>
        <select class="form-control ng-pristine ng-valid" ng-model="modality" id="modality">
            <option label="All"></option>
            <option label="CT">CT</option>
            <option label="NM">NM</option>
            <option label="MR">MR</option>
            <option label="DS">DS</option>
            <option label="DR">DR</option>
            <option label="US">US</option>
            <option label="OT">OT</option>
            <option label="HSG">HSG</option>
            <option label="CR">CR</option>
            <option label="MG">MG</option>
            <option label="OP">OP</option>
        </select>
    </div>
    <div class="col-md-1">
        <h6>Priority</h6>
        <select class="form-control ng-pristine ng-valid" ng-model="study_type" id="study_type">
            <option label="All"></option>
            <option label="STAT">STAT</option>
            <option label="Routine">Routine</option>
        </select>
    </div>
    <div class="col-md-2">
        <h6>Status</h6>
        <select class="form-control ng-pristine ng-valid" ng-model="status" id="status">
            <option label="All"></option>
            <option label="Draft">0</option>
            <option label="Study stored">1</option>
            <option label="Image Syncing">2</option>
            <option label="Retry routing">3</option>
            <option label="Report pending">4</option>
            <option label="Report Ready">5</option>
            <option label="Report Delivered">6</option>
        </select>
    </div>
    <div class="col-md-2" ng-show="user_group=='provider'">
        <h6>Doctor</h6>
        <select class="form-control ng-pristine ng-valid" id="provider_radiologist">
            <option label="All">0</option>
            <option ng-repeat="doctor in doctors" label="{{ doctor.user.first_name }}">
                {{ doctor.id }}
            </option>
        </select>
    </div>
    <div ng-show="user_group=='admin'" class="col-md-1">
        <h6>Country</h6>
        <select class="form-control ng-pristine ng-valid" ng-model="hospital_country" id="hospital_country" ng-show="user_group=='admin'">
            <option label="All"></option>
            <option ng-repeat="c in hospitals_country" label="{{ c }}">{{ c }}</option>
        </select>
    </div>
    <div ng-show="user_group=='admin'" class="col-md-2">
        <h6>Facility</h6>
        <select class="form-control ng-pristine ng-valid" ng-model="hospital" id="hospital" ng-show="user_group=='admin'">
            <option label="All Facilities"></option>
            <option ng-repeat="hospital in hospitals" label="{{ hospital.name }}"> {{ hospital.id }} </option>
        </select>
    </div>
<!--
    <div class="col-lg-8">
        <div>
            <select class="form-control ng-pristine ng-valid" ng-model="search_box" id="search_box">
                <option value="" ng-selected="search_box == null">Search ...</option>

                <optgroup label="Modality" id="modality">
                    <option label="All"></option>
                    <option label="CT">CT</option>
                    <option label="NM">NM</option>
                    <option label="MR">MR</option>
                    <option label="DS">DS</option>
                    <option label="DR">DR</option>
                    <option label="US">US</option>
                    <option label="OT">OT</option>
                    <option label="HSG">HSG</option>
                    <option label="CR">CR</option>
                    <option label="MG">MG</option>
                    <option label="OP">OP</option>
                </optgroup>

                <optgroup label="Priority" id="study_type">
                    <option label="All"></option>
                    <option label="STAT">STAT</option>
                    <option label="Routine">Routine</option>
                </optgroup>

                <optgroup label="Status" id="status">
                    <option label="All"></option>
                    <option label="Draft">0</option>
                    <option label="Study stored">1</option>
                    <option label="Image Syncing">2</option>
                    <option label="Retry routing">3</option>
                    <option label="Report pending">4</option>
                    <option label="Report Ready">5</option>
                    <option label="Report Delivered">6</option>
                </optgroup>

                <optgroup label="Doctor" id="provider_radiologist" ng-show="user_group=='provider'">
                    <option label="All">0</option>
                    <option ng-repeat="doctor in doctors" label="{{ doctor.user.first_name }}">
                        {{ doctor.id }}
                    </option>
                </optgroup>

                <optgroup label="Country" id="hospital_country" ng-show="user_group=='admin'">
                    <option label="All"></option>
                    <option ng-repeat="c in hospitals_country" label="{{ c }}">{{ c }}</option>
                </optgroup>

                <optgroup label="Facility" id="hospital" ng-show="user_group=='admin'">
                    <option label="All Facilities"></option>
                    <option ng-repeat="hospital in hospitals" label="{{ hospital.name }}"> {{ hospital.id }} </option>
                </optgroup>

            </select>
        </div>
    </div>
-->
    <div class="col-md-2 date-timeline-filter">
        <div class="form-group input-group" ng-style="{'width':'100%'}">
            <input ng-model="report_date" style="border-radius: 5px" type="text" class="form-control"
                   placeholder="Timeline" date-range-picker>
            <br>
            <div class="filter-day mt20">
                <span>
                    <input type="checkbox" ng-model="today" id="today"> 
                    <span class="label label-primary">
                        <label for="today">Today</label>
                    </span>
                </span>
                &nbsp;
                <span>
                    <input type="checkbox" ng-model="yesterday" id="yesterday"> 
                    <span class="label label-primary">
                        <label for="yesterday">Yesterday</label>
                    </span>
                </span>
            </div>
        </div>
    </div>

    <div class="col-md-3 search-study-field">
        <div class="form-group input-group">
            <input ng-model="q" type="text" class="form-control" placeholder="Search in study"
                   ng-enter="fetchResults()">
            <span class="input-group-btn"><button class="btn btn-default" ng-click="fetchResults()" type="button"><i
                    class="fa fa-search"></i></button></span>
        </div>
    </div>

</div>

<div class="row">

    <div class="study-filter">
        <div ng-if="search_with">
            <span ng-repeat="s in search_with">
                &nbsp;
                <button class="an-btn btn-danger" ng-click="search_remove(s)">
                    {{ s.key+" : "+s.show_to_user }}
                <i class="fa fa-remove"> </i>
                </button>
                &nbsp;
            </span>
        </div>
    </div>
    
    <br>
</div>

<!-- /.row -->
<!--
<div class="row">

    <div class="col-lg-1">

    <!-- <div class="col-lg-2 pull-right" ng-if="user_group=='admin'">

        <div class="form-group input-group">
            <select class="form-control ng-pristine ng-valid" ng-model="hospital_country" ng-show="user_group=='admin'">
                <option value="" ng-selected="hospital_country==null" selected="selected">All Countries</option>
                <option ng-repeat="h in hospitals_country" value="{{ h }}" ng-selected="status==0">{{ h }}</option>
            </select>
        </div>

    </div>

    <div class="col-lg-1">

        <div class="form-group input-group">
            <select class="form-control ng-pristine ng-valid" ng-model="study_type">
                <option value="" ng-selected="study_type==null">Priority</option>
                <option value="STAT">STAT</option>
                <option value="Routine">Routine</option>
            </select>
        </div>

    </div>

    <div class="col-lg-2">

        <div class="form-group input-group">
            <input ng-model="q" type="text" class="form-control" placeholder="Search in study"
                   ng-enter="fetchResults()">
            <span class="input-group-btn"><button class="btn btn-default" ng-click="fetchResults()" type="button"><i
                    class="fa fa-search"></i></button></span>
        </div>
    </div>
    <div class="col-lg-2">
        <div class="form-group input-group">
            <input ng-model="report_date" style="border-radius: 5px" type="text" class="form-control"
                   placeholder="Timeline" date-range-picker>
            <br>
            <span><input type="checkbox" ng-model="today" id="today"> <span class="label label-primary"><label
                    for="today">Today</label></span></span>
            &nbsp;
            <span><input type="checkbox" ng-model="yesterday" id="yesterday"> <span class="label label-primary"><label
                    for="yesterday">Yesterday</label></span></span>
        </div>
    </div>

    <div class="col-lg-2">
        <div class="form-group">
            <select class="form-control ng-pristine ng-valid" ng-model="status">
                <option value="? object:null ?"></option>
                <option value="" ng-selected="status==null" selected="selected">Status</option>
                <option value="0" ng-selected="status==0">Draft</option>
                <option value="1" ng-selected="status==1">Study stored</option>
                <option value="2" ng-selected="status==2">Image Syncing</option>
                <option value="3" ng-selected="status==3">Retry routing</option>
                <option value="4" ng-selected="status==4">Report pending</option>
                <option value="5" ng-selected="status==5">Report Ready</option>
                <option value="6" ng-selected="status==6">Report Delivered</option>
            </select>

        </div>
    </div>

    <div class="col-lg-2">
        <div class="form-group">
            <select class="form-control" ng-model="modality">
                <option value="" ng-selected="modality==null">All Modalities</option>
                <option value="CT" ng-selected="modality=='CT'">CT - Computed Tomography</option>
                <option value="NM" ng-selected="modality=='NM'">NM - Nuclear Medicine</option>
                <option value="MR" ng-selected="modality=='MR'">MR - Magnetic Resonance Imaging</option>
                <option value="DS" ng-selected="modality=='DS'">DS - Digital Subtraction Angiography</option>
                <option value="DR" ng-selected="modality=='DR'">DR</option>
                <option value="US" ng-selected="modality=='US'">US - Ultrasound</option>
                <option value="OT" ng-selected="modality=='OT'">OT - Other</option>
                <option value="HSG" ng-selected="modality=='HSG'">HSG - Hysterosalpingogram</option>
                <option value="CR" ng-selected="modality=='CR'">CR - Computed Radiography</option>
                <option value="MG" ng-selected="modality=='MG'">MG - Mammography</option>
                <option value="OP" ng-selected="modality=='OP'">OP - Diabetic Retinopathy</option>
            </select>
        </div>
    </div>

    <div class="col-lg-2" >
        <div class="form-group">
            <select class="form-control ng-pristine ng-valid" ng-model="hospital">
                <option value="" ng-selected="hospital==null" selected="selected">All Facilities</option>
                <option ng-repeat=" hospital in hospitals" value="{{ hospital.id }}"> {{ hospital.name }} </option>
            </select>

        </div>
    </div>


    <div class="col-lg-2 " ng-show="user_group=='provider'">
        <div class="row">
            <div class="col-lg-8">
                <div class="form-group">
                    <select class="form-control" ng-model="provider_radiologist">
                        <option ng-repeat="doctor in doctors"
                                value="{{ doctor.id }}">{{ doctor.user.first_name }}</option>
                    </select>

                </div>
            </div>
            <div class="col-lg-1">
                <div class="form-group">
                    <a class="btn btn-info" ng-disabled="!provider_radiologist"
                       ng-click="addBulkProviderRadiologists()">Assign Radiologist</a>
                </div>
            </div>
        </div>


    </div>


    <div style="margin-left:47px" class="col-lg-2 " ng-hide="true">
        <div class="row">
            <div class="col-lg-8">
                <div class="form-group">
                    <select class="form-control">
                        <option>
                            Provider AB
                        </option>
                        <option>
                            Provider T1
                        </option>
                    </select>

                </div>
            </div>
            <div class="col-lg-1">
                <div class="form-group">
                    <a class="btn btn-info" ng-disabled="!provider_radiologist"
                       ng-click="addBulkProviderRadiologists2()">Second Opinion</a>
                </div>
            </div>
        </div>


    </div>


</div> -->

<div class="row study-list-items">
    <div class="col-lg-12">

        <div class="table-responsive">
            <table class="table">
                <thead>
                <tr>
                    <th ng-show="user_group=='provider'">
                        Action
                    </th>

                    <th>Study</th>
                    <th>Patient</th>
                    <th>Facility</th>
                    <th>Country</th>
                    <th ng-show="user_group=='provider'">Radiologist</th>
                    <th>Services</th>
                    <th>Status</th>
                    <th>Files</th>

                </tr>
                </thead>
                <tbody>

                <tr ng-repeat="order in results.orders">
                    <td ng-show="user_group=='provider'">
                        <checkbox
                                ng-model="order.provider_radiologist_check">
                        </checkbox>
                    </td>
                    <td>
                        <article class="media">

                                <span class="pull-left thumb-sm">
                                    <a ui-sref="dashboard.order({guid: order.guid})">
                                        <i class="fa fa-file-text-o fa-3x icon-muted text-info"></i>
                                        <span style="margin-top:5px"
                                            class="label label-info ng-binding block">{{ order.modality }}</span>
                                    </a>
                                </span>

                            <div class="media-body">
                                <a class="h4 ng-binding"
                                ui-sref="dashboard.order({guid: order.guid})">{{ order.accession_id }}</a>
                                <small class="block">
                                    <span class="  ng-binding">{{ order.created_at }}</span>


                                </small>
                                <small class="block" ng-if="order.priority">
                                    <span ng-if="order.priority=='Routine'"
                                        class="label label-success ng-scope ng-binding"> {{ order.priority }}</span>
                                    <span ng-if="order.priority=='STAT'"
                                        class="label label-danger ng-scope ng-binding"> {{ order.priority }}</span>
                                </small>

                            </div>

                        </article>
                    </td>
                    <td>
                        <strong class="block" ng-if="order.name">{{ order.name }} ({{ order.age }})</strong>
                        <small class="block">{{ order.patient_id }}</small>
                        <small class="block" ng-if="order.phone!='None'"> {{ order.phone }}</small>
                    </td>
                    <td>

                        <small class="block ng-scope ng-binding" ng-if="order.hospital"><i
                                class="fa fa-hospital-o"></i> {{ order.hospital }}</small>
                        <small class="block ng-scope ng-binding" ng-if="order.doctor"><i
                                class="fa fa-user-md"></i> {{ order.doctor }}</small>

                    </td>
                    <td>
                        {{ order.hospital_country }}
                    </td>
                    <td ng-show="user_group=='provider'">

                        <small class="block ng-scope ng-binding" ng-if="order.provider_radiologist_name"><i
                                class="fa"></i> {{ order.provider_radiologist_name }}</small>
                    </td>
                    <td>
                        <div class="media-xs text-muted">
                                <span class="block">
                                    <small ng-if="order.provider" class="label label-info"> {{ order.provider }}</small>
                                    <small ng-if="order.provider && order.is_storage" class="label label-danger"> Storage </small>
                                    <small ng-if="order.radiologist"
                                        class="label label-success"> {{ order.radiologist }}</small>
                                    <small ng-if="!order.radiologist && !order.provider"
                                        class="label label-danger"> Storage</small>
                                </span>
                        </div>
                    </td>
                    <td>
                        <div class="media-xs text-muted">
                                <span class="block" ng-if="order.provider && order.is_storage">
                                    <small class="label label-success"> Study stored</small>

                                </span>
                                <span class="block" ng-if="order.provider && !order.is_storage">
                                    <small ng-if="order.status==0"
                                        class="label label-default"> {{ order.status_text }}</small>
                                    <small ng-if="order.status==1"
                                        class="label label-success"> {{ order.status_text }}</small>
                                    <small ng-if="order.status==2" class="label label-info"> {{ order.status_text }}</small>
                                    <small ng-if="order.status==3"
                                        class="label label-primary"> {{ order.status_text }}</small>
                                    <small ng-if="order.status==4"
                                        class="label label-warning"> {{ order.status_text }}</small>
                                    <small ng-if="order.status==5"
                                        class="label label-danger"> {{ order.status_text }}</small>
                                    <small ng-if="order.status==6" class="label label-info"> {{ order.status_text }}</small>
                                </span>
                                <span class="block">
                                    <small ng-if="order.billing_status==0"
                                        class="label label-default"> {{ order.billing_status_text }}</small>
                                    <small ng-if="order.billing_status==1"
                                        class="label label-success"> {{ order.billing_status_text }}</small>
                                    <small ng-if="order.billing_status==2"
                                        class="label label-info"> {{ order.billing_status_text }}</small>
                                    <small ng-if="order.billing_status==3"
                                        class="label label-primary"> {{ order.billing_status_text }}</small>
                                </span>
                        </div>
                    </td>
                    <td>
                        <a ng-if="order.report_filename" download="{{ order.report_filename }}"
                        href="{{ order.report_filename | AppStorage }}" class="text-info">
                            <i class="fa fa-file-pdf-o"></i> Download report
                        </a> <a ng-show="order.zipfile" href="{{ order.zipfile | AppStorage }}"> <i
                            class="fa fa-lg fa-cloud-download"></i> All dicoms</a>
                    </td>
                    <!--  <td>
                        {{order.created_at}}
                    </td>
    -->
                </tr>
                </tbody>
            </table>

        </div>


        <!-- <section ng-if="results.orders.length" class="panel panel-default portlet-item">
            <section class="panel-body">

                <div class="row" ng-repeat="order in results.orders">
                    <div class="col-lg-3">
                        <article class="media">
                            <span class="pull-left thumb-sm">
                                <a  ui-sref="dashboard.order({guid: order.guid})">
                                    <i class="fa fa-file-text-o fa-3x icon-muted text-info"></i>
                                </a>
                            </span>

                            <div class="media-body">
                                <a class="h4" ui-sref="dashboard.order({guid: order.guid})" >{{ order.accession_id }}</a>
                                <small class="block"><span class="label label-info">{{ order.modality }}</span></small>
                            </div>
                        </article>
                    </div>
                    <div class="col-lg-3">
                        <strong class="block">{{ order.name }}  ({{ order.age }})</strong>
                        <small class="block">{{ order.patient_id }}</small>
                        <small class="block" ng-if="order.phone!='None'"> {{ order.phone }}</small>

                    </div>
                    <div class="col-lg-3 mar-20">
                        <small class="block" ng-if="order.hospital"><i class="fa fa-hospital-o"></i> {{ order.hospital }}</small>
                        <small class="block" ng-if="order.doctor"><i class="fa fa-user-md"></i>   {{ order.doctor }}</small>


                    </div>

                    <div class="col-lg-3 mar-20">
                        <div class="media-xs text-muted">
                            <small class="label bg-light ng-binding">{{ order.created_at }}</small>
                            <span class="block">
                                <small ng-if="order.status==0" class="label label-default"> {{ order.status_text }}</small>
                                <small ng-if="order.status==1" class="label label-success"> {{ order.status_text }}</small>
                                <small ng-if="order.status==2" class="label label-info"> {{ order.status_text }}</small>
                                <small ng-if="order.status==3" class="label label-primary"> {{ order.status_text }}</small>
                                <small ng-if="order.status==4" class="label label-warning"> {{ order.status_text }}</small>
                                <small ng-if="order.status==5" class="label label-danger"> {{ order.status_text }}</small>
                            </span>
                            <span class="block">
                                <small ng-if="order.billing_status==0" class="label label-default"> {{ order.billing_status_text }}</small>
                                <small ng-if="order.billing_status==1" class="label label-success"> {{ order.billing_status_text }}</small>
                                <small ng-if="order.billing_status==2" class="label label-info"> {{ order.billing_status_text }}</small>
                                <small ng-if="order.billing_status==3" class="label label-primary"> {{ order.billing_status_text }}</small>
                            </span>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div ng-if="!$last" class="line pull-in"></div>
                </div>


            </section>
        </section> -->
    </div>
</div>

<div class="row pagination-bar">
    <div class="col-md-12">
        <pagination items-per-page="50" ng-change="fetchResults()" total-items="bigTotalItems" ng-model="bigCurrentPage"
            max-size="maxSize" class="pagination-sm" boundary-links="true" rotate="false"
            num-pages="numPages">
        </pagination>
    </div>
</div>


<!--
<div ng-if="!results.orders.length" class="row">
    <div class="col-lg-12">
        <h1 class="text-center">Sorry no order found</h1>
    </div>
</div>!-->
